<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: orders
         */
        Schema::create('orders', function ($table) {
            $table->increments('id');
            $table->integer('address_id')->nullable();
            $table->double('total', 8,2)->nullable();
            $table->enum('payment_mode', ['Direct payment','Check payment','Cash on delivery'])->nullable();
            $table->enum('payment_status', ['Payed','Not Payed'])->nullable();
            $table->string('payment_id', 255)->nullable();
            $table->string('razorpay_payment_id', 255)->nullable();
            $table->string('razorpay_order_id', 255)->nullable();
            $table->string('razorpay_signature', 255)->nullable();
            $table->enum('status', ['Ordered','Processing','Packed','Shipped','Delivered','Cancelled','Returned'])->nullable();
            $table->text('reason')->nullable();
            $table->text('comments')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('orders');
    }
}
